HostTemplatesResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class HostTemplatesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.HostTemplatesResourceApi

-     public class HostTemplatesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostTemplatesResourceApi()`
    `HostTemplatesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `applyHostTemplate(String clusterName, String hostTemplateName, ApiHostRefList body, Boolean runConfigRules, Boolean startRoles)` Applies a host template to a collection of hosts.
    `okhttp3.Call` | `applyHostTemplateAsync(String clusterName, String hostTemplateName, ApiHostRefList body, Boolean runConfigRules, Boolean startRoles, ApiCallback<ApiCommand> callback)` Applies a host template to a collection of hosts.
    `okhttp3.Call` | `applyHostTemplateCall(String clusterName, String hostTemplateName, ApiHostRefList body, Boolean runConfigRules, Boolean startRoles, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for applyHostTemplate
    `ApiResponse<ApiCommand>` | `applyHostTemplateWithHttpInfo(String clusterName, String hostTemplateName, ApiHostRefList body, Boolean runConfigRules, Boolean startRoles)` Applies a host template to a collection of hosts.
    `ApiHostTemplateList` | `createHostTemplates(String clusterName, ApiHostTemplateList body)` Creates new host templates.
    `okhttp3.Call` | `createHostTemplatesAsync(String clusterName, ApiHostTemplateList body, ApiCallback<ApiHostTemplateList> callback)` Creates new host templates.
    `okhttp3.Call` | `createHostTemplatesCall(String clusterName, ApiHostTemplateList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createHostTemplates
    `ApiResponse<ApiHostTemplateList>` | `createHostTemplatesWithHttpInfo(String clusterName, ApiHostTemplateList body)` Creates new host templates.
    `ApiHostTemplate` | `deleteHostTemplate(String clusterName, String hostTemplateName)` Deletes a host template.
    `okhttp3.Call` | `deleteHostTemplateAsync(String clusterName, String hostTemplateName, ApiCallback<ApiHostTemplate> callback)` Deletes a host template.
    `okhttp3.Call` | `deleteHostTemplateCall(String clusterName, String hostTemplateName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteHostTemplate
    `ApiResponse<ApiHostTemplate>` | `deleteHostTemplateWithHttpInfo(String clusterName, String hostTemplateName)` Deletes a host template.
    `ApiClient` | `getApiClient()`
    `ApiHostTemplate` | `readHostTemplate(String clusterName, String hostTemplateName)` Retrieves information about a host template.
    `okhttp3.Call` | `readHostTemplateAsync(String clusterName, String hostTemplateName, ApiCallback<ApiHostTemplate> callback)` Retrieves information about a host template.
    `okhttp3.Call` | `readHostTemplateCall(String clusterName, String hostTemplateName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHostTemplate
    `ApiHostTemplateList` | `readHostTemplates(String clusterName)` Lists all host templates in a cluster.
    `okhttp3.Call` | `readHostTemplatesAsync(String clusterName, ApiCallback<ApiHostTemplateList> callback)` Lists all host templates in a cluster.
    `okhttp3.Call` | `readHostTemplatesCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readHostTemplates
    `ApiResponse<ApiHostTemplateList>` | `readHostTemplatesWithHttpInfo(String clusterName)` Lists all host templates in a cluster.
    `ApiResponse<ApiHostTemplate>` | `readHostTemplateWithHttpInfo(String clusterName, String hostTemplateName)` Retrieves information about a host template.
    `ApiCommand` | `reapplyHostTemplateOnHosts(String clusterName, String hostTemplateName, Boolean deleteRoles, Boolean startRoles)` Reapplies a host template on all the hosts associated with the host template.
    `okhttp3.Call` | `reapplyHostTemplateOnHostsAsync(String clusterName, String hostTemplateName, Boolean deleteRoles, Boolean startRoles, ApiCallback<ApiCommand> callback)` Reapplies a host template on all the hosts associated with the host template.
    `okhttp3.Call` | `reapplyHostTemplateOnHostsCall(String clusterName, String hostTemplateName, Boolean deleteRoles, Boolean startRoles, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for reapplyHostTemplateOnHosts
    `ApiResponse<ApiCommand>` | `reapplyHostTemplateOnHostsWithHttpInfo(String clusterName, String hostTemplateName, Boolean deleteRoles, Boolean startRoles)` Reapplies a host template on all the hosts associated with the host template.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiHostTemplate` | `updateHostTemplate(String clusterName, String hostTemplateName, ApiHostTemplate body)` Updates an existing host template.
    `okhttp3.Call` | `updateHostTemplateAsync(String clusterName, String hostTemplateName, ApiHostTemplate body, ApiCallback<ApiHostTemplate> callback)` Updates an existing host template.
    `okhttp3.Call` | `updateHostTemplateCall(String clusterName, String hostTemplateName, ApiHostTemplate body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateHostTemplate
    `ApiResponse<ApiHostTemplate>` | `updateHostTemplateWithHttpInfo(String clusterName, String hostTemplateName, ApiHostTemplate body)` Updates an existing host template.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostTemplatesResourceApi

          public HostTemplatesResourceApi()

    - #### HostTemplatesResourceApi

          public HostTemplatesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### applyHostTemplateCall

          public okhttp3.Call applyHostTemplateCall(String clusterName,
                                                    String hostTemplateName,
                                                    ApiHostRefList body,
                                                    Boolean runConfigRules,
                                                    Boolean startRoles,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for applyHostTemplate
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `body` - List of hosts to apply the host template to. (optional)
        `runConfigRules` - Whether to run the rules engine to automatically configure roles present on the hosts (optional, default to false)
        `startRoles` - Whether to start the newly created roles or not. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### applyHostTemplate

          public ApiCommand applyHostTemplate(String clusterName,
                                              String hostTemplateName,
                                              ApiHostRefList body,
                                              Boolean runConfigRules,
                                              Boolean startRoles)
                                       throws ApiException

      Applies a host template to a collection of hosts. Applies a host template to a collection of hosts. This will create a role for each role config group on each of the hosts. <p> The provided hosts must not have any existing roles on them and if the cluster is not using parcels, the hosts must have a CDH version matching that of the cluster version. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `body` - List of hosts to apply the host template to. (optional)
        `runConfigRules` - Whether to run the rules engine to automatically configure roles present on the hosts (optional, default to false)
        `startRoles` - Whether to start the newly created roles or not. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applyHostTemplateWithHttpInfo

          public ApiResponse<ApiCommand> applyHostTemplateWithHttpInfo(String clusterName,
                                                                       String hostTemplateName,
                                                                       ApiHostRefList body,
                                                                       Boolean runConfigRules,
                                                                       Boolean startRoles)
                                                                throws ApiException

      Applies a host template to a collection of hosts. Applies a host template to a collection of hosts. This will create a role for each role config group on each of the hosts. <p> The provided hosts must not have any existing roles on them and if the cluster is not using parcels, the hosts must have a CDH version matching that of the cluster version. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `body` - List of hosts to apply the host template to. (optional)
        `runConfigRules` - Whether to run the rules engine to automatically configure roles present on the hosts (optional, default to false)
        `startRoles` - Whether to start the newly created roles or not. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### applyHostTemplateAsync

          public okhttp3.Call applyHostTemplateAsync(String clusterName,
                                                     String hostTemplateName,
                                                     ApiHostRefList body,
                                                     Boolean runConfigRules,
                                                     Boolean startRoles,
                                                     ApiCallback<ApiCommand> callback)
                                              throws ApiException

      Applies a host template to a collection of hosts. (asynchronously) Applies a host template to a collection of hosts. This will create a role for each role config group on each of the hosts. <p> The provided hosts must not have any existing roles on them and if the cluster is not using parcels, the hosts must have a CDH version matching that of the cluster version. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `body` - List of hosts to apply the host template to. (optional)
        `runConfigRules` - Whether to run the rules engine to automatically configure roles present on the hosts (optional, default to false)
        `startRoles` - Whether to start the newly created roles or not. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### createHostTemplatesCall

          public okhttp3.Call createHostTemplatesCall(String clusterName,
                                                      ApiHostTemplateList body,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for createHostTemplates
      Parameters:
        `clusterName` - (required)
        `body` - The list of host templates to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createHostTemplates

          public ApiHostTemplateList createHostTemplates(String clusterName,
                                                         ApiHostTemplateList body)
                                                  throws ApiException

      Creates new host templates. Creates new host templates. <p> Host template names must be unique across clusters. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `body` - The list of host templates to create. (optional)
      Returns:
        ApiHostTemplateList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createHostTemplatesWithHttpInfo

          public ApiResponse<ApiHostTemplateList> createHostTemplatesWithHttpInfo(String clusterName,
                                                                                  ApiHostTemplateList body)
                                                                           throws ApiException

      Creates new host templates. Creates new host templates. <p> Host template names must be unique across clusters. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `body` - The list of host templates to create. (optional)
      Returns:
        ApiResponse<ApiHostTemplateList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createHostTemplatesAsync

          public okhttp3.Call createHostTemplatesAsync(String clusterName,
                                                       ApiHostTemplateList body,
                                                       ApiCallback<ApiHostTemplateList> callback)
                                                throws ApiException

      Creates new host templates. (asynchronously) Creates new host templates. <p> Host template names must be unique across clusters. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `body` - The list of host templates to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteHostTemplateCall

          public okhttp3.Call deleteHostTemplateCall(String clusterName,
                                                     String hostTemplateName,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for deleteHostTemplate
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to delete. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteHostTemplate

          public ApiHostTemplate deleteHostTemplate(String clusterName,
                                                    String hostTemplateName)
                                             throws ApiException

      Deletes a host template. Deletes a host template. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to delete. (required)
      Returns:
        ApiHostTemplate
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteHostTemplateWithHttpInfo

          public ApiResponse<ApiHostTemplate> deleteHostTemplateWithHttpInfo(String clusterName,
                                                                             String hostTemplateName)
                                                                      throws ApiException

      Deletes a host template. Deletes a host template. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to delete. (required)
      Returns:
        ApiResponse<ApiHostTemplate>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteHostTemplateAsync

          public okhttp3.Call deleteHostTemplateAsync(String clusterName,
                                                      String hostTemplateName,
                                                      ApiCallback<ApiHostTemplate> callback)
                                               throws ApiException

      Deletes a host template. (asynchronously) Deletes a host template. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to delete. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHostTemplateCall

          public okhttp3.Call readHostTemplateCall(String clusterName,
                                                   String hostTemplateName,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for readHostTemplate
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHostTemplate

          public ApiHostTemplate readHostTemplate(String clusterName,
                                                  String hostTemplateName)
                                           throws ApiException

      Retrieves information about a host template. Retrieves information about a host template. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - (required)
      Returns:
        ApiHostTemplate
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostTemplateWithHttpInfo

          public ApiResponse<ApiHostTemplate> readHostTemplateWithHttpInfo(String clusterName,
                                                                           String hostTemplateName)
                                                                    throws ApiException

      Retrieves information about a host template. Retrieves information about a host template. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - (required)
      Returns:
        ApiResponse<ApiHostTemplate>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostTemplateAsync

          public okhttp3.Call readHostTemplateAsync(String clusterName,
                                                    String hostTemplateName,
                                                    ApiCallback<ApiHostTemplate> callback)
                                             throws ApiException

      Retrieves information about a host template. (asynchronously) Retrieves information about a host template. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readHostTemplatesCall

          public okhttp3.Call readHostTemplatesCall(String clusterName,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for readHostTemplates
      Parameters:
        `clusterName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readHostTemplates

          public ApiHostTemplateList readHostTemplates(String clusterName)
                                                throws ApiException

      Lists all host templates in a cluster. Lists all host templates in a cluster. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
      Returns:
        ApiHostTemplateList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostTemplatesWithHttpInfo

          public ApiResponse<ApiHostTemplateList> readHostTemplatesWithHttpInfo(String clusterName)
                                                                         throws ApiException

      Lists all host templates in a cluster. Lists all host templates in a cluster. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
      Returns:
        ApiResponse<ApiHostTemplateList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readHostTemplatesAsync

          public okhttp3.Call readHostTemplatesAsync(String clusterName,
                                                     ApiCallback<ApiHostTemplateList> callback)
                                              throws ApiException

      Lists all host templates in a cluster. (asynchronously) Lists all host templates in a cluster. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### reapplyHostTemplateOnHostsCall

          public okhttp3.Call reapplyHostTemplateOnHostsCall(String clusterName,
                                                             String hostTemplateName,
                                                             Boolean deleteRoles,
                                                             Boolean startRoles,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for reapplyHostTemplateOnHosts
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `deleteRoles` - Whether to delete roles on host if RCG is deleted from host template . (optional)
        `startRoles` - Whether to start the newly created roles or not. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### reapplyHostTemplateOnHosts

          public ApiCommand reapplyHostTemplateOnHosts(String clusterName,
                                                       String hostTemplateName,
                                                       Boolean deleteRoles,
                                                       Boolean startRoles)
                                                throws ApiException

      Reapplies a host template on all the hosts associated with the host template. Reapplies a host template on all the hosts associated with the host template. This will run apply host template command on the all the hosts using the host template . <p> Set deleteRoles to true to delete the roles on the associated hosts if RCG is missing from host template. Check host tags with name as _cldr_cm_host_template_name to find out hosts using with the host template. <p> Available since API v46.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `deleteRoles` - Whether to delete roles on host if RCG is deleted from host template . (optional)
        `startRoles` - Whether to start the newly created roles or not. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### reapplyHostTemplateOnHostsWithHttpInfo

          public ApiResponse<ApiCommand> reapplyHostTemplateOnHostsWithHttpInfo(String clusterName,
                                                                                String hostTemplateName,
                                                                                Boolean deleteRoles,
                                                                                Boolean startRoles)
                                                                         throws ApiException

      Reapplies a host template on all the hosts associated with the host template. Reapplies a host template on all the hosts associated with the host template. This will run apply host template command on the all the hosts using the host template . <p> Set deleteRoles to true to delete the roles on the associated hosts if RCG is missing from host template. Check host tags with name as _cldr_cm_host_template_name to find out hosts using with the host template. <p> Available since API v46.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `deleteRoles` - Whether to delete roles on host if RCG is deleted from host template . (optional)
        `startRoles` - Whether to start the newly created roles or not. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### reapplyHostTemplateOnHostsAsync

          public okhttp3.Call reapplyHostTemplateOnHostsAsync(String clusterName,
                                                              String hostTemplateName,
                                                              Boolean deleteRoles,
                                                              Boolean startRoles,
                                                              ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Reapplies a host template on all the hosts associated with the host template. (asynchronously) Reapplies a host template on all the hosts associated with the host template. This will run apply host template command on the all the hosts using the host template . <p> Set deleteRoles to true to delete the roles on the associated hosts if RCG is missing from host template. Check host tags with name as _cldr_cm_host_template_name to find out hosts using with the host template. <p> Available since API v46.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template to apply. (required)
        `deleteRoles` - Whether to delete roles on host if RCG is deleted from host template . (optional)
        `startRoles` - Whether to start the newly created roles or not. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateHostTemplateCall

          public okhttp3.Call updateHostTemplateCall(String clusterName,
                                                     String hostTemplateName,
                                                     ApiHostTemplate body,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for updateHostTemplate
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template with updated fields. (required)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateHostTemplate

          public ApiHostTemplate updateHostTemplate(String clusterName,
                                                    String hostTemplateName,
                                                    ApiHostTemplate body)
                                             throws ApiException

      Updates an existing host template. Updates an existing host template. <p> Can be used to update the role config groups in a host template or rename it. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template with updated fields. (required)
        `body` - (optional)
      Returns:
        ApiHostTemplate
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHostTemplateWithHttpInfo

          public ApiResponse<ApiHostTemplate> updateHostTemplateWithHttpInfo(String clusterName,
                                                                             String hostTemplateName,
                                                                             ApiHostTemplate body)
                                                                      throws ApiException

      Updates an existing host template. Updates an existing host template. <p> Can be used to update the role config groups in a host template or rename it. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template with updated fields. (required)
        `body` - (optional)
      Returns:
        ApiResponse<ApiHostTemplate>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateHostTemplateAsync

          public okhttp3.Call updateHostTemplateAsync(String clusterName,
                                                      String hostTemplateName,
                                                      ApiHostTemplate body,
                                                      ApiCallback<ApiHostTemplate> callback)
                                               throws ApiException

      Updates an existing host template. (asynchronously) Updates an existing host template. <p> Can be used to update the role config groups in a host template or rename it. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `hostTemplateName` - Host template with updated fields. (required)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.